summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlon Levy <alon@pobox.com>2015-04-23 20:57:12 +0300
committerAlon Levy <alon@pobox.com>2015-04-23 20:57:12 +0300
commit14a7ef0c09d6faecdee9924d26141c0ef406581a (patch)
tree3aab9433e98208172cba8e29591cb51d0ca64710
parent4e0b76479f9e6592b96d2bd6e17cb52fb1c9d693 (diff)
run-both-local.sh: add script to run neo4j and rhizi server (neo4j launched in background, rhizi in foreground)
-rwxr-xr-xrun-both-local.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/run-both-local.sh b/run-both-local.sh
new file mode 100755
index 00000000..e47af681
--- /dev/null
+++ b/run-both-local.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+. src/local/utils.sh
+
+if ! neo4j_running ; then
+ $NEO4J_ROOT/bin/neo4j start
+fi
+
+CONFIG=res/etc/rhizi-server.conf
+EXAMPLE=res/etc/rhizi-server.conf.example
+HTPASSWD=res/etc/htpasswd
+if [ "x$DOMAIN" == "x" ]; then
+ echo using default domain
+ DOMAIN=default.rhizi.net
+else
+ echo using $DOMAIN domain
+fi
+if [ ! -f $CONFIG ]; then
+ echo "copying $EXAMPLE to $CONF"
+ echo "please edit it as you see fit"
+ cp $EXAMPLE $CONFIG
+fi
+make # building css relies on Makefile
+ant -f build.ant deploy-local -DdefaultDomain=$DOMAIN -DtargetDomain=$DOMAIN && (
+ cd deploy-local
+ python2.7 bin/rz_server.py --config-dir etc
+)